petsc-3.4.2 2013-07-02

# PetscSFScatterBegin

begin pointwise scatter operation from multi-roots to leaves, to be completed with PetscSFScatterEnd()

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFScatterBegin(PetscSF sf,MPI_Datatype unit,const void *multirootdata,void *leafdata)

Collective

### Input Arguments

| sf | - star forest
| unit | - data type
| multirootdata | - root buffer to send to each leaf, one unit of data per leaf

### Output Argument

leafdata -leaf data to be update with personal data from each respective root

### See Also

PetscSFComputeDegreeBegin(), PetscSFScatterBegin()

Level:intermediate
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html